/*
    ParaGUI - crossplatform widgetset
    bresenham - line drawing algo

    Copyright (C) 2000  Alexander Pipelka

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Alexander Pipelka
    pipelka@teleweb.at

    Last Update:      $Author: pipelka $
    Update Date:      $Date: 2000/12/13 15:23:24 $
    Source File:      $Source: /usr/local/CVSROOT/linux/paragui/src/bresenham.h,v $
    CVS/RCS Revision: $Revision: 1.2 $
    Status:           $State: Exp $
*/

#ifndef BRESENHAM_H
#define BRESENHAM_H

#ifdef __cplusplus
extern "C" {
#endif

#include "SDL.h"

void SDL_DrawLine(SDL_Surface* surface, Uint32 x0, Uint32 y0, Uint32 x1, Uint32 y1, SDL_Color color);

#ifdef __cplusplus
}
#endif

#endif	// BRESENHAM_H