/*
    ParaGUI - crossplatform widgetset
    Copyright (C) 2000  Alexander Pipelka
 
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
 
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
 
    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
    Alexander Pipelka
    pipelka@teleweb.at
 
    Last Update:      $Author: pipelka $
    Update Date:      $Date: 2000/11/10 08:02:17 $
    Source File:      $Source: /usr/local/CVSROOT/linux/paragui/src/sdlcheckbutton.h,v $
    CVS/RCS Revision: $Revision: 1.2 $
    Status:           $State: Exp $
*/

#ifndef SDLCHECKBUTTON_H
#define SDLCHECKBUTTON_H

#ifdef SWIG
%include "swigcommon.h"
%module sdlcheckbutton
%{
#include "sdlcheckbutton.h"
%}
#endif

#include "sdlradiobutton.h"

/**
	@author Alexander Pipelka

	@short A single check button.
*/

class DECLSPEC SDLCheckButton : public SDLRadioButton {
public:

	/** */
	SDLCheckButton(SDLWidget* parent, int id, SDL_Rect& r, char* text);

	/** */
	~SDLCheckButton();

	/** */
	void SetUnpressed();

protected:

	/** */
	bool eventMouseButtonUp(const SDL_MouseButtonEvent* my_widgetButton);

	/** */
	bool eventButtonClick(int id, SDLWidget* widget);
};

#endif // SDLCHECKBUTTON_H
