#ifndef SDLSLIDER_H
#define SDLSLIDER_H

#ifdef SWIG
%include "swigcommon.h"
%module sdlslider
%{
#include "sdlslider.h"
%}
#endif

#include "paragui.h"
#include "sdlscrollbar.h"

class DECLSPEC SDLSlider : public SDLScrollBar {

public:

	/** */
	SDLSlider(SDLWidget* parent, int id, SDL_Rect& r, int direction = SDL_SB_VERTICAL);

	/** */
	~SDLSlider();

	void LoadThemeStyle(const char* widgettype);

protected:

	bool eventMouseButtonUp(const SDL_MouseButtonEvent* button);

	/** */
	bool my_showButtons;
};

#endif SDLSLIDER_H