/*
    ParaGUI - crossplatform widgetset
    Copyright (C) 2000  Alexander Pipelka
 
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
 
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
 
    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
    Alexander Pipelka
    pipelka@teleweb.at
 
    Last Update:      $Author: pipelka $
    Update Date:      $Date: 2000/11/10 08:02:17 $
    Source File:      $Source: /usr/local/CVSROOT/linux/paragui/src/sdlstaticframe.h,v $
    CVS/RCS Revision: $Revision: 1.10 $
    Status:           $State: Exp $
*/

#ifndef SDLSTATICFRAME_H
#define SDLSTATICFRAME_H

#ifdef SWIG
%include "swigcommon.h"
%module sdlstaticframe
%{
#include "sdlstaticframe.h"
%}
#endif

#include "sdlwidget.h"

/**
	@author Alexander Pipelka

	@short A static (non-resizeable) frame.

	Intended to be used as a parent for other widgets. Only handles background
	for the time being.
*/

class DECLSPEC SDLStaticFrame : public SDLWidget  {
public:
	SDLStaticFrame(SDLWidget* parentare, SDL_Rect& r);
	~SDLStaticFrame();
	/**  */
	bool LoadBackground(const char* filename);
};

#endif // SDLSTATICFRAME_H
